require 'minitest/autorun'
require 'osc/reservations'

class TestNode < Minitest::Test
  def test_node
    node = OSC::Reservations::Node.new({})
    assert_respond_to node, :id
    assert_respond_to node, :np
    assert_respond_to node, :props
    assert_respond_to node, :jobs
    assert_respond_to node, :users
  end

  def test_free?
    node = OSC::Reservations::Node.new({jobs: ["123.job"]})
    refute node.free?

    node = OSC::Reservations::Node.new({jobs: []})
    assert node.free?
  end
end
