require 'minitest/autorun'
require 'osc/reservations'

class TestAdapter < Minitest::Test
  def test_adapter
    adapter = OSC::Reservations::Adapter.new
    assert_respond_to adapter, :query_reservation
    assert_raises(NotImplementedError) {adapter.query_reservation 'BATCH', 123}
    assert_respond_to adapter, :query_reservations
    assert_raises(NotImplementedError) {adapter.query_reservations 'BATCH'}
    assert_respond_to adapter, :submit_reservation
    assert_raises(NotImplementedError) {adapter.submit_reservation 'BATCH', 'RSV'}
  end
end
